from sqlalchemy import String, Column, Integer

from app.modle import Base


class DeviceType(Base):
    """设备类别"""

    __tablename__ = 'security_device_type'

    id = Column(Integer, primary_key=True, autoincrement=True, nullable=False, unique=True, doc='id')
    type_name = Column(String, nullable=False, unique=True, index=False, doc='类别名称', comment='类别名称')


class SecurityDevice(Base):
    """设备表"""

    __tablename__ = 'security_device'

    id = Column(Integer, primary_key=True, autoincrement=True, nullable=False, unique=True, doc='id')
    device_name = Column(String, nullable=False, unique=False, index=False, doc='设备名称', comment='设备名称')
    device_id = Column(String, nullable=True, unique=False, index=False, doc='设备id', comment='设备id')
    device_type = Column(Integer, nullable=True, unique=False, index=False, doc='设备类型(1-摄像头)',
                         comment='设备类型(1-摄像头)')
    device_location = Column(String, nullable=True, unique=False, index=False, doc='设备位置', comment='设备位置')
    device_age = Column(Integer, nullable=True, unique=False, index=False, doc='设备年限', comment='设备年限')
    company_id = Column(String, nullable=True, unique=False, index=False, doc='所属单位ID', comment='所属单位ID')
    user_id = Column(String, nullable=True, unique=False, index=False, doc='设备责任人', comment='设备责任人')
    device_group = Column(String, nullable=True, unique=False, index=False, doc='设备分组', comment='设备分组')
    status = Column(Integer, nullable=True, unique=False, index=False, doc='设备状态(1-开启)',
                    comment='设备状态(1-开启)')
    floor_id = Column(Integer, nullable=True, unique=False, index=False, doc='楼层id', comment='楼层id')
    third_id = Column(String, nullable=True, unique=False, index=False, doc='', comment='')
