from datetime import datetime

import xlwt


def cn_now():
    """获取时间，年月日时分秒格式"""
    return datetime.now().strftime("%Y-%m-%d %H:%M:%S")


def to_dict(results):
    """sqlalchemy查询结果转dict"""
    data = []
    for result in results:
        result_dict = result.__dict__
        del result_dict['_sa_instance_state']
        data.append(result_dict)
    return data


class MyXlwt(object):
    def __init__(self, sheet_name='sheet', re_write=True):
        '''
        自定义类说明：
        :param sheet_name:默认sheet表对象名称，默认值为 'sheet_1'
        :param re_write: 单元格重写写功能默认开启
        '''
        self.work_book = xlwt.Workbook()
        self.sheet = self.work_book.add_sheet(sheet_name, cell_overwrite_ok=re_write)

        self.col_data = {}

    def save(self, file):
        return self.work_book.save(file)

    def write(self, row, col, label):
        '''
        在默认sheet表对象一个单元格内写入数据
        :param row: 写入行
        :param col: 写入列
        :param label: 写入数据
        '''
        self.sheet.write(row, col, label)

        # 将列数据加入到col_data字典中
        if col not in self.col_data.keys():
            self.col_data[col] = []
            self.col_data[col].append(label)
        else:
            self.col_data[col].append(label)

    def write_row(self, start_row, start_col, date_list,
                  ):
        '''
        按行写入一行数据
        :param start_row:写入行序号
        :param start_col: 写入列序号
        :param date_list: 写入数据：列表
        :return: 返回行对象
        '''
        for col, label in enumerate(date_list):
            self.write(start_row, start_col + col, label)

        return self.sheet.row(start_row)